Subject: bug#10349: tail: fix --follow on FhGFS remote file systems

From: Bob Proulx <[email-masked]>
Date: Thu, 22 Dec 2011 11:10:03 -0700

Jim Meyering wrote:
> Are there so many new remote file systems coming into use now?
> That are not listed in /usr/include/linux/magic.h?

The past can always be enumerated.  The future is always changing.  It
isn't possible to have a complete list of future items.  It is only
possible to have a complete list of past items.  The future is not yet
written.

I think it is best to have the unknown fallback be to the known
reliable working code path.  Does it matter how many or at what rate
new filesystems are being created?

Also I think people actually are creating new filesystems at a faster
rate these days than before.

Bob